Open CASCADE Technology: ChFi3d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
ChFi3d Class Reference

creation of spatial fillets on a solid. More...

`#include <ChFi3d.hxx>`

## Static Public Member Functions
static Standard_Integer | ConcaveSide (const BRepAdaptor_Surface &S1, const BRepAdaptor_Surface &S2, const TopoDS_Edge &E, TopAbs_Orientation &Or1, TopAbs_Orientation &Or2)
| Returns Reversed in Or1 and(or) Or2 if the concave edge defined by the interior of faces F1 and F2, in the neighbourhood of their boundary E is of the edge opposite to the normal of their surface support. The orientation of faces is not taken into consideration in the calculation. The function returns 0 if the calculation fails (tangence), if not, it returns the number of choice of the fillet or chamfer corresponding to the orientations calculated and to the tangent to the guide line read in E. More...
static Standard_Integer | NextSide (TopAbs_Orientation &Or1, TopAbs_Orientation &Or2, const TopAbs_Orientation OrSave1, const TopAbs_Orientation OrSave2, const Standard_Integer ChoixSauv)
| Same as ConcaveSide, but the orientations are logically deduced from the result of the call of ConcaveSide on the first pair of faces of the fillet or chamnfer. More...
static void | NextSide (TopAbs_Orientation &Or, const TopAbs_Orientation OrSave, const TopAbs_Orientation OrFace)
| Same as the other NextSide, but the calculation is done on an edge only. More...
static Standard_Boolean | SameSide (const TopAbs_Orientation Or, const TopAbs_Orientation OrSave1, const TopAbs_Orientation OrSave2, const TopAbs_Orientation OrFace1, const TopAbs_Orientation OrFace2)
| Enables to determine while processing an angle, if two fillets or chamfers constituting a face have identic or opposed concave edges. More...

## Detailed Description

creation of spatial fillets on a solid.

## Member Function Documentation

static Standard_Integer ChFi3d::ConcaveSide | ( | const BRepAdaptor_Surface & | S1,
|  | const BRepAdaptor_Surface & | S2,
|  | const TopoDS_Edge & | E,
|  | TopAbs_Orientation & | Or1,
|  | TopAbs_Orientation & | Or2
| ) |  |
| static

Returns Reversed in Or1 and(or) Or2 if the concave edge defined by the interior of faces F1 and F2, in the neighbourhood of their boundary E is of the edge opposite to the normal of their surface support. The orientation of faces is not taken into consideration in the calculation. The function returns 0 if the calculation fails (tangence), if not, it returns the number of choice of the fillet or chamfer corresponding to the orientations calculated and to the tangent to the guide line read in E.

static Standard_Integer ChFi3d::NextSide | ( | TopAbs_Orientation & | Or1,
|  | TopAbs_Orientation & | Or2,
|  | const TopAbs_Orientation | OrSave1,
|  | const TopAbs_Orientation | OrSave2,
|  | const Standard_Integer | ChoixSauv
| ) |  |
| static

Same as ConcaveSide, but the orientations are logically deduced from the result of the call of ConcaveSide on the first pair of faces of the fillet or chamnfer.

static void ChFi3d::NextSide | ( | TopAbs_Orientation & | Or,
|  | const TopAbs_Orientation | OrSave,
|  | const TopAbs_Orientation | OrFace
| ) |  |
| static

Same as the other NextSide, but the calculation is done on an edge only.

static Standard_Boolean ChFi3d::SameSide | ( | const TopAbs_Orientation | Or,
|  | const TopAbs_Orientation | OrSave1,
|  | const TopAbs_Orientation | OrSave2,
|  | const TopAbs_Orientation | OrFace1,
|  | const TopAbs_Orientation | OrFace2
| ) |  |
| static

Enables to determine while processing an angle, if two fillets or chamfers constituting a face have identic or opposed concave edges.

The documentation for this class was generated from the following file:

- ChFi3d.hxx